Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 457132 - kde-base/plasma-workspace-4.10.0 won't save changed wallpapers
Summary: kde-base/plasma-workspace-4.10.0 won't save changed wallpapers
Status: RESOLVED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-13 17:49 UTC by Michael Mair-Keimberger (iamnr3)
Modified: 2014-07-24 16:04 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Mair-Keimberger (iamnr3) 2013-02-13 17:49:24 UTC
Since kde-4.10 i have a really annoying bug. It's pretty simple - I can't change the wallpaper.
Everytime i'll change, stop kde and start it again i get the same default wallpaper again.

So far the symptoms:
* this problem happens with plasma-workspace-4.10.0 and plasma-workspace-4.10.0-r1 (and latest qt-core-r3 )
* it happen everytime, even with a complete new user.
* changes to the taskbar or anything else in plasma won't get lost, only the wallpaper is set back to default.
* it won't happen with folder-view layout (i'm using default desktop)
* it happen with grouping desktop - even grouping desktop won't get saved, it goes back to default desktop.
* plasma adds everytime i login new default wallpaper settings into .kde4/share/config/plasma-desktop-appletrc, which means this file would get quite bloated after a while. Even make it read-only wont help.

Possible reason for the problem:
I think the problem belongs to my multihead setup, because if i create a new user and login, on all three screens i have the same output (only clones of the main). If i won't change the monitor settings and change the wallpaper it gets saved. Besides that, it seems like not many people have this problem...


Workaround:
I also could find an workaround.
As i already mentioned before, i made plasma-desktop-appletrc read-only. However this alone doesn't help, but if i make plasma-desktoprc read-only too the wallpaper won't set back to default. (after a relogin i also see always changes in this file)
Unfortunately this is a really bad workaround, because right now i can't change anything in plasma. Because of the read-only nothing get saved. Furthermore i always get a message at login that plasma-desktoprc is only read-only. Really annoying.



emerge --info:
Portage 2.1.11.50 (default/linux/amd64/13.0, gcc-4.6.3, glibc-2.16.0, 3.7.6-gentoo x86_64)
=================================================================
System uname: Linux-3.7.6-gentoo-x86_64-AMD_FX-tm-8150_Eight-Core_Processor-with-gentoo-2.2
KiB Mem:     8149016 total,   4451484 free
KiB Swap:    8388600 total,   8388600 free
Timestamp of tree: Wed, 13 Feb 2013 16:15:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p42
dev-lang/python:          2.7.3-r3, 3.2.3-r2
dev-util/cmake:           2.8.10.2-r1
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.13.1
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.7 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo x-local sunrise gamerlay
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=bdver1 -mno-movbe -mno-fma -mno-bmi -mno-tbm -mpopcnt --param l1-cache-size=16 --param l1-cache-line-size=64 --param l2-cache-size=2048 -mtune=bdver1"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/polkit-1/actions /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=bdver1 -mno-movbe -mno-fma -mno-bmi -mno-tbm -mpopcnt --param l1-cache-size=16 --param l1-cache-line-size=64 --param l2-cache-size=2048 -mtune=bdver1"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/media/public/overlays/local /media/public/overlays/layman/sunrise /media/public/overlays/layman/gamerlay"
SYNC="rsync://192.168.2.60/gentoo-portage"
USE="acl alsa amd64 avx berkdb bzip2 cli consolekit cracklib crypt cups cxx dbus dri exif fftw flac fortran gallium gdbm gif gpm graphite iconv icu ipv6 jabber jpeg kde kipi lzma mad mmx mmxext modules mp3 mp4 mudflap multilib ncurses nls nptl opengl openmp pam pcre phonon png policykit qt4 readline sdl semantic-desktop session sip sse sse2 sse3 sse4_1 ssl ssse3 svg tcpd threads tiff truetype unicode v4l2 vorbis vpx webp x264 xcb xinerama xv zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="krita sheets words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="r600 radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Andreas K. Hüttel gentoo-dev 2013-02-13 23:04:57 UTC
Please submit this problem at bugs.kde.org and add a link to that bug report here.
Comment 2 Michael Mair-Keimberger (iamnr3) 2013-02-14 06:57:54 UTC
I've made an bug report at bugs.kde.org, see: https://bugs.kde.org/show_bug.cgi?id=315112
Comment 3 Michael Mair-Keimberger (iamnr3) 2013-03-12 20:30:59 UTC
This bug seems to fixed with the latest version of kde (4.10.1), so i'll gonna close this bug :) (I already closed the upstream bug too)
Comment 4 Julian Pietron 2013-07-23 22:48:45 UTC
For me, this bug is not fixed. I still suffer from this problem with KDE 4.10.4. My setup consists of four heads (using a Radeon Eyefinity capable card). Until KDE 4.10, each screen kept its assigned wallpaper, since KDE 4.10 I got the stock wallpaper (some blue/violet curvy figures) on all screens. I can change them for each screen, but the change will only last for the current session and be lost afterwards.
Comment 5 Michael Palimaka (kensington) gentoo-dev 2013-07-24 10:40:37 UTC
(In reply to Julian Pietron from comment #4)
> For me, this bug is not fixed.

Could you please comment on the upstream bug with the information you wrote here?
Comment 6 Michael Mair-Keimberger (iamnr3) 2013-08-17 14:18:30 UTC
I've updated to kde-4.11 today and this problem appeared again. It's the exact same behavior than with kde-4.10. Only the "default" wallpaper changed to an simple black background. However the workaround still works.
I've already reopen the upstream bug..
Comment 7 Johannes Huber gentoo-dev 2014-07-24 16:04:24 UTC
Tested in 4.13.3, Plasma 5.0. Works in both version. If you are running current stable 4.12.5 and it is not working there you are maybe interested in bug #517344.